# ModuleDependencySpec

@Incubating
interface ModuleDependencySpec : DependencySpec

A dependency onto a module.

## Functions

getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getGroup
Link copied to clipboard
abstract fun getGroup(): String
The group of the module this dependency specification refers to.
getName
Link copied to clipboard
abstract fun getName(): String
The name of the module this dependency specification refers to.
getVersion
Link copied to clipboard
@Nullable
abstract fun getVersion(): @Nullable String
The version range of the module this dependency specification refers to.